'use strict';

var React = require('react');
var Typography = require('./Typography-cjs.js');

function Emphasis({ variation, children }) {
    const variationMap = {
        bold: { element: "b", fontWeight: "bold" },
        italic: { element: "em", emphasisType: "italic" },
        highlight: { element: "strong", emphasisType: "highlight" },
    };
    return React.createElement(Typography.Typography, Object.assign({}, variationMap[variation]), children);
}

exports.Emphasis = Emphasis;
